<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<th:block th:replace="~{layout/basic :: setContent(~{this::content} )}">

	<th:block th:fragment="content">
		<style>
p {
	padding-left: 10px;
	font-size: 1.2em;
	margin-top: 0.7em;
	margin-bottom: 0.7em;
}
</style>
		<script src="https://code.jquery.com/jquery-3.4.1.js"></script>
		<header>
			<h2>장소 요청</h2>
		</header>

		<section class="box text-style1" style="width: 500px">
			<div class="inner">
				<form th:action="@{/request/register}" th:object="${dto}" method="post">
					<p>
						<label for="id">[글쓴이]</label>
					</p>
					<p>
						<input type="text" id="id" th:value="${dto.writer}" name="writer" readonly>
					</p>
					<p>
						<label for="place">[장소명]</label>
					</p>
					<p>
						<input type="text" id="place" name="place" required>
					</p>
					<p>
						<label for="address">[주소]</label>
					</p>
					<p>
						<input type="text" id="address" name="address" required>
					</p>
					<p>
						<label for="comment">[내용]</label>
					</p>
					<p>
						<textarea id="comment" name="comment" rows="6" cols="50" required></textarea>
					</p>
					<p>
						<button type="submit">등록</button>
					</p>
				</form>
			</div>
		</section>
		<script th:inline="javascript">
    	 $(document).ready(function(){
    		 var msg = [[${msg}]]
    		 if(msg != null){
    		 alert(msg);
    		 }
    		});
	</script>

	</th:block>

</th:block>